Subject: Το shutdown δεν λειτουργεί στο UI

Description

Το shutdown δεν λειτουργεί στο UI γιατί αυτό περνάει το undocumented argument "timeout".

Δεδομένου ότι το "shutdown" action είναι δική μας επέκταση, θα έπρεπε να είναι documented ότι απαιτείται ένα τέτοιο argument.

Στη νέα έκδοση του API, είναι ακριβώς documented ότι δεν υπόστηρίζεται τέτοιο argument, σελίδα

http://trac.cslab.ece.ntua.gr:8081/cloud/wiki/OpenStackAPI.

Έσπασε στη v0.2 γιατί η υλοποίηση του API ξεκίνησε να επιβάλλει αυτόν τον περιορισμό, όπως προβλέπει το doc της.

Θα αλλάξω το UI αναλόγως.

Associated revisions

Revision 623d7244 - 04/19/2011 07:11 pm - Vangelis Koukis

Fix one more UI->API call, Refs #433

History

#1 - 04/19/2011 06:47 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Διορθώθηκε στο commit:d25e249. Βγήκε νέο release v0.2.1 που το περιέχει.

#2 - 04/19/2011 07:10 pm - Vangelis Koukis

Ομοίως και για το "start" action, χρήση undocumented arguments που η αυστηρή υλοποίηση του UI έπιασε.

Το ξανανοίγω.

#3 - 04/19/2011 07:10 pm - Vangelis Koukis

- Status changed from Closed to Assigned

#4 - 04/20/2011 11:50 am - Vangelis Koukis

- Status changed from Assigned to Closed

Παίζει, v0.2.2.
